---
id: abstract-abstract-has-citation-filter
title: _AbstractAbstractHasCitationFilter
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

No description

```graphql
type _AbstractAbstractHasCitationFilter {
  AND: [_AbstractAbstractHasCitationFilter!]
  OR: [_AbstractAbstractHasCitationFilter!]
  position: Int
  position_not: Int
  position_in: [Int!]
  position_not_in: [Int!]
  position_lt: Int
  position_lte: Int
  position_gt: Int
  position_gte: Int
  citation: _CitationFilter
}
```

### Fields

#### `AND` ([`[_AbstractAbstractHasCitationFilter!]`](/docs/api/inputs/abstract-abstract-has-citation-filter))

#### `OR` ([`[_AbstractAbstractHasCitationFilter!]`](/docs/api/inputs/abstract-abstract-has-citation-filter))

#### `position` ([`Int`](/docs/api/scalars/int))

#### `position_not` ([`Int`](/docs/api/scalars/int))

#### `position_in` ([`[Int!]`](/docs/api/scalars/int))

#### `position_not_in` ([`[Int!]`](/docs/api/scalars/int))

#### `position_lt` ([`Int`](/docs/api/scalars/int))

#### `position_lte` ([`Int`](/docs/api/scalars/int))

#### `position_gt` ([`Int`](/docs/api/scalars/int))

#### `position_gte` ([`Int`](/docs/api/scalars/int))

#### `citation` ([`_CitationFilter`](/docs/api/inputs/citation-filter))
